>From 5d2b16937b6dec73f2425fe46e5f158614d241e1 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Jan=20Urba=C5=84ski?= <wulczer@wulczer.org>
Date: Sun, 2 Jan 2011 11:37:47 +0100
Subject: [PATCH 12/16] Improve message for errors in compiling anonymos blocks.

---
 src/pl/plpython/plpython.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/src/pl/plpython/plpython.c b/src/pl/plpython/plpython.c
index 452831a..7002b7e 100644
--- a/src/pl/plpython/plpython.c
+++ b/src/pl/plpython/plpython.c
@@ -1610,7 +1610,11 @@ PLy_procedure_compile(PLyProcedure *proc, const char *src)
 			return;
 	}
 
-	PLy_elog(ERROR, "could not compile PL/Python function \"%s\"", proc->proname);
+	if (proc->proname)
+		PLy_elog(ERROR, "could not compile PL/Python function \"%s\"",
+				 proc->proname);
+	else
+		PLy_elog(ERROR, "could not compile anonymous PL/Python code block");
 }
 
 static char *
-- 
1.7.2.3

